What is still worth configuring on this deployment
GET
/deployments/{id}/next-steps
const url = 'https://example.com/deployments/example/next-steps';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/deployments/example/next-steps \ --header 'Authorization: Bearer <token>'Auth: authenticated (scope: read)
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Responses
Section titled “Responses”OK
Media typeapplication/json
object
steps
required
Array<object>
object
applicable
required
False when the step cannot apply here, e.g. auto-deploy on a non-GitHub app.
boolean
done
required
boolean
id
required
string
Example generated
{ "steps": [ { "applicable": true, "done": true, "id": "example" } ]}